{ intern.h }
procedure rb_load(fname: Tvalue; wrap: Integer);
procedure rb_load_protect(fname: Tvalue; wrap: Integer; var state: Integer);
procedure rb_jump_tag(tag: Integer);
procedure rb_provide(const feature: PChar);
function rb_f_require(obj, fname: Tvalue): Tvalue;
procedure rb_obj_call_init(obj: Tvalue; argc: Integer; argv: Pvalue);
function rb_class_new_instance(argc: Integer; argv: Pvalue; klass: Tvalue): Tvalue;
function rb_f_lambda: Tvalue;
function rb_protect(proc: TGetValFunc; data: Tvalue; var state: Integer): Tvalue;

function rb_id_attrset(id: Tid): Tid;

